Package com.io7m.jtensors.generators

# Class Vector4IGenerator

java.lang.Object
com.io7m.jtensors.generators.Vector4IGenerator

All Implemented Interfaces:
  `net.java.quickcheck.Generator<Vector4I>`

public final class Vector4IGenerator extends Object implements net.java.quickcheck.Generator<Vector4I>
A vector generator.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Vector4IGenerator(net.java.quickcheck.Generator<Integer> in_gen)`
  Construct a generator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static net.java.quickcheck.Generator<Vector4I>`
  `create()`
  Create a generator initialized with a default component generator.
  `static net.java.quickcheck.Generator<Vector4I>`
  `create16()`
  Create a generator initialized with a default component generator that produces values in the range `[-32768, 32767]`.
  `static net.java.quickcheck.Generator<Vector4I>`
  `create32()`
  Create a generator initialized with a default component generator that produces values in the range `[-2147483648, 2147483647]`.
  `static net.java.quickcheck.Generator<Vector4I>`
  `create8()`
  Create a generator initialized with a default component generator that produces values in the range `[-128, 127]`.
  `static net.java.quickcheck.Generator<Vector4I>`
  `createSmall()`
  Create a generator initialized with a default component generator that produces values in the range `[-128, 128]`.
  `Vector4I`
  `next()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Vector4IGenerator

    public Vector4IGenerator(net.java.quickcheck.Generator<Integer> in_gen)
    Construct a generator.
    Parameters:
      `in_gen` - A component generator

- ## Method Details

  - ### create

    public static net.java.quickcheck.Generator<Vector4I> create()
    Create a generator initialized with a default component generator.
    Returns:
      A generator

  - ### createSmall

    public static net.java.quickcheck.Generator<Vector4I> createSmall()
    Create a generator initialized with a default component generator that produces values in the range `[-128, 128]`.
    Returns:
      A generator

  - ### create32

    public static net.java.quickcheck.Generator<Vector4I> create32()
    Create a generator initialized with a default component generator that produces values in the range `[-2147483648, 2147483647]`.
    Returns:
      A generator

  - ### create16

    public static net.java.quickcheck.Generator<Vector4I> create16()
    Create a generator initialized with a default component generator that produces values in the range `[-32768, 32767]`.
    Returns:
      A generator

  - ### create8

    public static net.java.quickcheck.Generator<Vector4I> create8()
    Create a generator initialized with a default component generator that produces values in the range `[-128, 127]`.
    Returns:
      A generator

  - ### next

    public Vector4I next()
    Specified by:
      `next` in interface `net.java.quickcheck.Generator<Vector4I>`